using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

namespace Mall.Order
{
    public partial class Order_Ship : System.Web.UI.Page
    {
        public MODEL.MOrder model_ordern = new MODEL.MOrder();
        public DataTable dt;
        protected void Page_Load(object sender, EventArgs e)
        {
            BLL.Models.MemberModels models_member = new BLL.Models.MemberModels();
            models_member.CheckUserIdOrder();
            //CheckUserIdOrder();
            if (Request["post"] != null)
            {

                
                BLL.Models.MShipMModels modelship = new BLL.Models.MShipMModels();

                model_ordern = (MODEL.MOrder)Session["model_order"];
                model_ordern.EmsNo = Request["post"];
                model_ordern.EmsIntro = Request["ctl00_MainPlace_ddl_SendTime_SendTime"] + Request["memo_text"];
                model_ordern.EmsInfo = modelship.GetShipNameByid(model_ordern.EmsNo);
                model_ordern.EmsPrice = modelship.GetShipPriceByid(model_ordern.EmsNo);
                
                Session["model_order"] = model_ordern;
               // return RedirectToAction("order_pay", "order");
                Response.Redirect("/order/order_pay.aspx");
            }
            //
            BLL.Models.MShipMModels models_pay = new BLL.Models.MShipMModels();

             dt = models_pay.GetShipByShip("1=1");


        }
    }
}